package com.sketch.art.trace.adapter;

import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.sketch.art.trace.activity.CameraActivity;
import com.sketch.art.trace.databinding.ListAllLayoutBinding;
import com.sketch.art.trace.tools.App;
import com.sketch.art.trace.tools.ComManager;

import java.util.List;

public class AdapterAll extends RecyclerView.Adapter<AdapterAll.HomeVH> {


    private Context mCon;
    private List<String> data;



    public AdapterAll(Context mCon, List<String> bitmapList) {
        this.mCon = mCon;
        data = bitmapList;
    }



    @NonNull
    @Override
    public HomeVH onCreateViewHolder(@NonNull ViewGroup parent, int viewType) {

        return new HomeVH( ListAllLayoutBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));
    }

    @Override
    public void onBindViewHolder(@NonNull HomeVH holder, int position) {

        String name = data.get(position);
        Log.d(App.TAG,"--------name="+name);
          ComManager.loadImageFromAssets(mCon, name, holder.binding.imPreview, bitmap -> {

          });


        holder.binding.cardView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, CameraActivity.class);
                intent.putExtra(App.Key_Camera, name);
                mCon.startActivity(intent);
            }
        });


    }

    @Override
    public int getItemCount() {
        return data.size();
    }

    public static class HomeVH extends RecyclerView.ViewHolder {
        private ListAllLayoutBinding binding;




        public HomeVH(@NonNull ListAllLayoutBinding itemView) {
            super(itemView.getRoot());
            binding = itemView;
        }


    }
}
